Gda.Provider – Gda-6.0 Reference Manual

# Provider

## Object Hierarchy:

## Description:

[ CCode ( type_cname = "GdaProviderInterface" , type_id = "gda_provider_get_type ()" ) ]
public interface Provider : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Methods:

- public abstract bool add_savepoint (Connection cnc, string name) throws Error
- public abstract bool begin_transaction (Connection cnc, string name, TransactionIsolation level) throws Error
- public abstract bool close_connection (Connection cnc)
- public abstract bool commit_transaction (Connection cnc, string name) throws Error
- public abstract Connection create_connection ()
- public abstract ServerOperation create_operation (Connection cnc, ServerOperationType type, Set options) throws Error
- public abstract SqlParser create_parser (Connection cnc)
- public abstract bool delete_savepoint (Connection cnc, string name) throws Error
- public abstract string escape_string (Connection cnc, string str)
- public abstract DataHandler get_data_handler (Connection cnc, Type g_type, string dbms_type)
- public abstract string get_def_dbms_type (Connection cnc, Type g_type)
- public abstract Set get_last_inserted (Connection cnc) throws Error
- public abstract unowned string get_name ()
- public abstract unowned string get_server_version (Connection cnc)
- public abstract unowned string get_version ()
- public abstract string identifier_quote (Connection? cnc, string id, bool for_meta_store, bool force_quotes)
- public abstract bool open_connection (Connection cnc, QuarkList @params, QuarkList auth)
- public abstract bool perform_operation (Connection cnc, ServerOperation op) throws Error
- public abstract bool prepare_connection (Connection cnc, QuarkList @params, QuarkList auth)
- public abstract string render_operation (Connection cnc, ServerOperation op) throws Error
- public abstract bool rollback_savepoint (Connection cnc, string name) throws Error
- public abstract bool rollback_transaction (Connection cnc, string name) throws Error
- public abstract Object statement_execute (Connection cnc, Statement stmt, Set @params, StatementModelUsage model_usage, Type col_types, Set last_inserted_row) throws Error
- public abstract bool statement_prepare (Connection cnc, Statement stmt) throws Error
- public abstract SqlStatement statement_rewrite (Connection cnc, Statement stmt, Set @params) throws Error
- public abstract string statement_to_sql (Connection cnc, Statement stmt, Set? @params, StatementSqlFlag flags, out SList<unowned Holder>? params_used) throws Error
- public abstract bool supports_feature (Connection cnc, ConnectionFeature feature)
- public abstract bool supports_operation (Connection cnc, ServerOperationType type, Set options)
- public abstract string unescape_string (Connection cnc, string str)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref